
# Set and examine the working directory #
setwd(choose.dir("E:/Camera_course/Serow overlap"))
getwd()
#Load package “overlap” Version 0.3.2# and associated packages "sp" and "maptools"
library(overlap)
library(sp)
library(maptools)

# Inputing Localtime data in decimal format for red serow# 
redserow_localtime <- read.table("Red Serow Detections radtime.csv", header=TRUE,sep=",", na.strings=c("NA"))
# Summary of the data
summary(redserow_localtime)
str(redserow_localtime)
range(redserow_localtime$LocalTime)

# Convert Localtime data into radian unit and write csv #
timeRad_1 <- redserow_localtime$LocalTime * 2*pi
data.matrix(timeRad_1)
write.csv(timeRad_1,"E:/Camera_course/Serow overlap/Redserow_radtime.csv")

# Integrate “RadianLocalTime” into data sheet in Excel
# Reload data #
redserow_radtime <- read.table("Red Serow Detections radtime.csv", header=TRUE,sep=',')
# Summary of the reloaded data
summary(redserow_radtime)
str(redserow_radtime)

# Make sure both “sp” and “maptools” packages are installed #
if(requireNamespace("sp") && requireNamespace("maptools"))
  # Convert dates to a POSIXct object with the right time zone (GMT) #
  Dates <- as.POSIXct(redserow_radtime$Date, tz="GMT")
# Create a SpatialPoints object with the location #
coords <- matrix(c(98, 26), nrow=1)
Coords <- sp::SpatialPoints(coords, proj4string=sp::CRS("+proj=longlat +datum=WGS84"))
st_1 <- sunTime(redserow_radtime$RadianLocalTime, Dates, Coords)
par(mfrow=2:1)
densityPlot(st_1, col='red', lwd=2, xaxt='n', main="Sun time")
axis(1, at=c(0, 6, 12, 18, 24),
     labels=c("Midnight", "Sunrise", "Noon", "Sunset", "Midnight"))
densityPlot(redserow_radtime$RadianLocalTime, lwd=2, main="Local Clock time")
par(mfrow=c(1,1))

# Output "RadianSunTime" for red serow
data.matrix(st_1)
write.csv(st_1,"E:/Camera_course/Serow overlap/Redserow_suntime.csv")

########################################################################
# Similar procedures for Chinese serow
chineseserow_localtime <- read.table("Chineses Serow Detections radtime.csv", header=TRUE,sep=",", na.strings=c("NA"))
# Summary of the data
summary(chineseserow_localtime)
str(chineseserow_localtime)
range(chineseserow_localtime$LocalTime)

# Convert Localtime data into radian unit and write csv #
timeRad_2 <- chineseserow_localtime$LocalTime * 2*pi
data.matrix(timeRad_2)
write.csv(timeRad_2,"E:/Camera_course/Serow overlap/Chineseserow_radtime.csv")

# Integrate “RadianLocalTime” into data sheet in Excel
# Reload data #
chineseserow_radtime <- read.table("Chineses Serow Detections radtime.csv", header=TRUE,sep=',')
# Summary of the reloaded data
summary(chineseserow_radtime)
str(chineseserow_radtime)

# Convert dates to a POSIXct object with the right time zone (GMT) #
  Dates <- as.POSIXct(chineseserow_radtime$Date, tz="GMT")
# Create a SpatialPoints object with the location #
coords <- matrix(c(98, 26), nrow=1)
Coords <- sp::SpatialPoints(coords, proj4string=sp::CRS("+proj=longlat +datum=WGS84"))
st_2 <- sunTime(chineseserow_radtime$RadianLocalTime, Dates, Coords)
par(mfrow=2:1)
densityPlot(st_2, col='red', lwd=2, xaxt='n', main="Sun time")
axis(1, at=c(0, 6, 12, 18, 24),
     labels=c("midnight", "sunrise", "noon", "sunset", "midnight"))
densityPlot(chineseserow_radtime$RadianLocalTime, lwd=2, main="Local Clock time")
par(mfrow=c(1,1))

# Output "RadianSunTime" for red serow
data.matrix(st_2)
write.csv(st_2,"E:/Camera_course/Serow overlap/Chineseserow_suntime.csv")

